Package org.apache.qpid.proton.engine

# Interface ProtonJConnection

All Superinterfaces:
  `Connection`, `Endpoint`, `Extendable`, `ProtonJEndpoint`, `ReactorChild`

All Known Implementing Classes:
  `ConnectionImpl`

public interface ProtonJConnection extends Connection, ProtonJEndpoint
Extends `Connection` with functionality that is specific to proton-j

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.Connection

`Connection.Factory`

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaxChannels()`
`ProtonJSession`
`session()`
Returns a newly created session TODO does the Connection's channel-max property limit how many sessions can be created, or opened, or neither?
`void`
`setLocalContainerId(String localContainerId)`

### Methods inherited from interface org.apache.qpid.proton.engine.Connection

`collect, getContainer, getContext, getHostname, getReactor, getRemoteContainer, getRemoteDesiredCapabilities, getRemoteHostname, getRemoteOfferedCapabilities, getRemoteProperties, getTransport, getWorkHead, linkHead, sessionHead, setContainer, setContext, setDesiredCapabilities, setHostname, setOfferedCapabilities, setProperties`

### Methods inherited from interface org.apache.qpid.proton.engine.Endpoint

`close, free, getCondition, getLocalState, getRemoteCondition, getRemoteState, open, setCondition`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

### Methods inherited from interface org.apache.qpid.proton.reactor.ReactorChild

`free`

## Method Details

### setLocalContainerId

void setLocalContainerId(String localContainerId)

### session

ProtonJSession session()
Description copied from interface: `Connection`
Returns a newly created session TODO does the Connection's channel-max property limit how many sessions can be created, or opened, or neither?

Specified by:
  `session` in interface `Connection`

### getMaxChannels

int getMaxChannels()